Skip to main content

Class RawInsertRecordsRequest.Options

java.lang.Object
com.gpudb.protocol.RawInsertRecordsRequest.Options
Enclosing class:

public static final class RawInsertRecordsRequest.Options extends Object
A set of string constants for the RawInsertRecordsRequest parameter options.

Optional parameters.

  • Field Details

    • UPDATE_ON_EXISTING_PK

      public static final String UPDATE_ON_EXISTING_PK
      Specifies the record collision policy for inserting into a table with a primary key. If set to TRUE, any existing table record with primary key values that match those of a record being inserted will be replaced by that new record (the new data will be “upserted”). If set to FALSE, any existing table record with primary key values that match those of a record being inserted will remain unchanged, while the new record will be rejected and the error handled as determined by IGNORE_EXISTING_PK, ALLOW_PARTIAL_BATCH, and RETURN_INDIVIDUAL_ERRORS. If the specified table does not have a primary key, then this option has no effect. Supported values:
      • TRUE: Upsert new records when primary keys match existing records.
      • FALSE: Reject new records when primary keys match existing records.
      The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • ENABLE_INPLACE_UPDATES

      public static final String ENABLE_INPLACE_UPDATES
      Applies only when upserting (when UPDATE_ON_EXISTING_PK is TRUE). If set to TRUE, an existing record matched by primary key is modified in place. If set to FALSE, it is updated by deleting the existing record and inserting a replacement (delete and insert), which prevents the change from being reflected in dependent materialized views until they are refreshed. Supported values:The default value is TRUE.
    • IGNORE_EXISTING_PK

      public static final String IGNORE_EXISTING_PK
      Specifies the record collision error-suppression policy for inserting into a table with a primary key, only used when not in upsert mode (upsert mode is disabled when UPDATE_ON_EXISTING_PK is FALSE). If set to TRUE, any record being inserted that is rejected for having primary key values that match those of an existing table record will be ignored with no error generated. If FALSE, the rejection of any record for having primary key values matching an existing record will result in an error being reported, as determined by ALLOW_PARTIAL_BATCH and RETURN_INDIVIDUAL_ERRORS. If the specified table does not have a primary key or if upsert mode is in effect (UPDATE_ON_EXISTING_PK is TRUE), then this option has no effect. Supported values:
      • TRUE: Ignore new records whose primary key values collide with those of existing records.
      • FALSE: Treat as errors any new records whose primary key values collide with those of existing records.
      The default value is FALSE.
    • PK_CONFLICT_PREDICATE_HIGHER

      public static final String PK_CONFLICT_PREDICATE_HIGHER
      The record with higher value for the column resolves the primary-key insert conflict. The default value is ”.
    • PK_CONFLICT_PREDICATE_LOWER

      public static final String PK_CONFLICT_PREDICATE_LOWER
      The record with lower value for the column resolves the primary-key insert conflict. The default value is ”.
    • RETURN_RECORD_IDS

      public static final String RETURN_RECORD_IDS
      If TRUE then return the internal record id along for each inserted record. Supported values:The default value is FALSE.
    • TRUNCATE_STRINGS

      public static final String TRUNCATE_STRINGS
      If set to TRUE, any strings which are too long for their target charN string columns will be truncated to fit. Supported values:The default value is FALSE.
    • RETURN_INDIVIDUAL_ERRORS

      public static final String RETURN_INDIVIDUAL_ERRORS
      If set to TRUE, success will always be returned, and any errors found will be included in the info map. The “bad_record_indices” entry is a comma-separated list of bad records (0-based). If so, there will also be an “error_N” entry for each record with an error, where N is the index (0-based). Supported values:The default value is FALSE.
    • ALLOW_PARTIAL_BATCH

      public static final String ALLOW_PARTIAL_BATCH
      If set to TRUE, all correct records will be inserted and incorrect records will be rejected and reported. Otherwise, the entire batch will be rejected if any records are incorrect. Supported values:The default value is FALSE.
    • DRY_RUN

      public static final String DRY_RUN
      If set to TRUE, no data will be saved and any errors will be returned. Supported values:The default value is FALSE.
    • REQUEST_SCHEMA_STR

      public static final String REQUEST_SCHEMA_STR
      Type schema of list (when listEncoding is BINARY), in [[“column_name”,“column_type”]] format. When non-empty and different from the table’s schema, the server remaps the incoming records to the table’s full schema. Columns present in the table but absent from this schema are filled using their default values, NULL (if nullable), or an error is returned. If empty, records must match the table’s full schema. The default value is ”.
    • TRANSFORMATIONS

      public static final String TRANSFORMATIONS
      Comma-separated expressions, one per target table column. Each expression is evaluated per record. Empty entries (two consecutive commas) mean no transformation for that column — the value is resolved from the input record, table default, NULL, or an error. Expressions may reference input columns by name or by position (1forthefirstinputcolumn,1 for the first input column, 2 for the second, etc.). The default value is ”.